//
//  HttpHomeClassListCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/12.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "HttpHomeClassListCmd.h"
#import "HttpHomeClassListResult.h"
//static NSString *kActionUrl = @"/enterprise/activity/getHomePage";
static NSString *kActionUrl = @"/newapp/portal/getHomePage";
@implementation HttpHomeClassListCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[HttpHomeClassListCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[HttpHomeClassListResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    return kActionUrl;
}
@end
NSString *const kHttpHttpHomeClassListCmd_filters = @"filters";
NSString *const kHttpHttpHomeClassListCmd_value = @"value";
NSString *const kHttpHttpHomeClassListCmd_attr = @"attr";
NSString *const kHttpHttpHomeClassListCmd_empid = @"empid";
NSString *const kHttpHttpHomeClassListCmd_type = @"type";

